## ros-noetic-leo-fw 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_fw)

find_package(catkin REQUIRED COMPONENTS
  leo_msgs
  nav_msgs
  roscpp
  sensor_msgs
)

find_package(yaml-cpp REQUIRED)

catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS
    leo_msgs
    nav_msgs
    roscpp
    sensor_msgs
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS}
)


add_executable(firmware_message_converter
  src/firmware_message_converter.cpp
)

target_link_libraries(firmware_message_converter
  ${catkin_LIBRARIES}
  ${YAML_CPP_LIBRARIES}
)

install(
  DIRECTORY 
    firmware
    test_data
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(
  PROGRAMS 
    scripts/update
    scripts/flash
    scripts/test_hw
    scripts/calibrate_imu
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS firmware_message_converter
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-leo-fw (2.3.0-1buster) buster; urgency=high

  * Add IMU gyro calibration (#9 <https://github.com/LeoRover/leo_robot/issues/9>)
  * Contributors: Aleksander Szymański

 -- Fictionlab <support@fictionlab.pl>  Wed, 24 Aug 2022 00:00:00 -0000

ros-noetic-leo-fw (2.2.0-1buster) buster; urgency=high

  * Add hardware tester script (#7 <https://github.com/LeoRover/leo_robot/issues/7>)

 -- Fictionlab <support@fictionlab.pl>  Mon, 21 Mar 2022 00:00:00 -0000

ros-noetic-leo-fw (2.1.1-1buster) buster; urgency=high

  * Update leocore firmware to version 1.1.2

 -- Fictionlab <support@fictionlab.pl>  Mon, 07 Mar 2022 00:00:00 -0000

ros-noetic-leo-fw (2.1.0-1buster) buster; urgency=high

  * Update core2 and leocore firmwares
  * Resolve pylint errors
  * Reformat python code with black
  * Reformat cpp code with clang-format

 -- Fictionlab <support@fictionlab.pl>  Fri, 04 Mar 2022 00:00:00 -0000

ros-noetic-leo-fw (2.0.3-1buster) buster; urgency=high

  * Fix some problems reported by catkin_lint
  * Add tf_frame_prefix to firmware message converter (#4 <https://github.com/LeoRover/leo_robot/issues/4>)
  * Contributors: Bitterisland6, Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Tue, 18 Jan 2022 00:00:00 -0000

ros-noetic-leo-fw (2.0.2-1buster) buster; urgency=high

  * Update leocore firmware to version 1.0.2
  * Fix default selection in board prompt

 -- Fictionlab <support@fictionlab.pl>  Wed, 05 Jan 2022 00:00:00 -0000

ros-noetic-leo-fw (2.0.1-1buster) buster; urgency=high

  * Update leocore firmware to version 1.0.1
  * Change the new board name to LeoCore (codename leocore)
  * Make the flashing scripts work when run under ROS namespace

 -- Fictionlab <support@fictionlab.pl>  Tue, 28 Dec 2021 00:00:00 -0000

ros-noetic-leo-fw (2.0.0-1buster) buster; urgency=high

  * Add Leo Hat firmware binary
  * Update package description
  * Get rid of python2 dependencies
  * Rename core2 firmware binary
  * Allow explicitly specifying board type in flash script
  * Add functions for determining board type and firmware version
  * Use format strings when applicable
  * Add initial Leo Hat support
  * Add firmware_message_parser node

 -- Fictionlab <support@fictionlab.pl>  Sun, 12 Dec 2021 00:00:00 -0000

ros-noetic-leo-fw (1.2.1-1buster) buster; urgency=high

  * Reformat python code with black
  * Make the code python 2-3 compatible

 -- Fictionlab <support@fictionlab.pl>  Tue, 28 Sep 2021 00:00:00 -0000

ros-noetic-leo-fw (1.2.0-1buster) buster; urgency=high

  * Bundle a new firmware binary release (v1.2.0)
  * Add flash script to CMakeLists
  * Add flash script for flashing custom firmware
  * Add arguments to the flash_firmware function
  * Update author and maintainer info

 -- Fictionlab <support@fictionlab.pl>  Fri, 23 Apr 2021 00:00:00 -0000

ros-noetic-leo-fw (1.1.3-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Fri, 18 Dec 2020 00:00:00 -0000

ros-noetic-leo-fw (1.1.2-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 25 Nov 2020 00:00:00 -0000

ros-noetic-leo-fw (1.1.1-1buster) buster; urgency=high

  * Add setuptools to buildtool dependencies
  * Fix CMakeLists, install update script

 -- Fictionlab <support@fictionlab.pl>  Mon, 19 Oct 2020 00:00:00 -0000

ros-noetic-leo-fw (1.1.0-1buster) buster; urgency=high

  * Add leo_fw package

 -- Fictionlab <support@fictionlab.pl>  Fri, 16 Oct 2020 00:00:00 -0000

ros-noetic-leo-fw (1.0.2-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 23 Sep 2020 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-leo-fw
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, python3-setuptools, ros-noetic-catkin, ros-noetic-leo-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://wiki.ros.org/leo_fw
Standards-Version: 3.9.2

Package: ros-noetic-leo-fw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, python3-numpy, python3-rospkg, python3-whichcraft, ros-noetic-leo-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-rosgraph, ros-noetic-rosmon-msgs, ros-noetic-rosnode, ros-noetic-rospy, ros-noetic-rosservice, ros-noetic-sensor-msgs, ros-noetic-std-srvs
Description: Binary releases of Leo Rover firmware and related utilities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-leo-fw//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
